vs gauge
区分
JVN番号
タイトル
JVN
深刻度
最終更新日
CVE番号
New
JVNDB-2017-002976

Ruby で使用される正規表現ライブラリ Onigmo の regparse.c の parse_char_class 関数におけるサービス運用妨害 (DoS) の脆弱性

7.5
2017/05/10 11:16
CVE-2017-6181
JVNDB-2017-002976
Ruby で使用される正規表現ライブラリ Onigmo の regparse.c の parse_char_class 関数におけるサービス運用妨害 (DoS) の脆弱性
概要
Ruby で使用される正規表現ライブラリ Onigmo (別名 Oniguruma-mod) の regparse.c の parse_char_class 関数には、サービス運用妨害 (過度に深い再帰呼び出しおよびアプリケーションクラッシュ) 状態にされる脆弱性が存在します。
想定される影響と対策
リモートの攻撃者により、巧妙に細工された正規表現を介して、サービス運用妨害 (過度に深い再帰呼び出しおよびアプリケーションクラッシュ) 状態にされる可能性があります。
ベンダより正式な対策が公開されています。ベンダ情報を参照して適切な対策を実施してください。
JVN情報 ※( )内はCVSS v2の値
深刻度 7.5 5.0
CVECVE-2017-6181
公表日2017/02/20 00:00
登録日2017/05/10 11:16
更新日2017/05/10 11:16
CVSS v3情報
全ての情報を閲覧するにはユーザー登録(無料)またはログインが必要です。